/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM Extend Project: Open Source CFD        |
|  \\    /   O peration     | Version:  1.6-ext                               |
|   \\  /    A nd           | Web:      www.extend-project.de                 |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    object      controlDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

application 	simpleFoam;

startFrom       startTime;

startTime       0;

stopAt          endTime;

endTime         OL.get(Foam/nbIter);

deltaT          1;

writeControl    adjustableRunTime;

writeInterval   OL.get(Foam/wrInter);

purgeWrite      0;

writeFormat     ascii;

writePrecision  6;

writeCompression uncompressed;

timeFormat      general;

timePrecision   6;

runTimeModifiable yes;

functions
{
  forces
    {
      
      type			forceCoeffs;
      functionObjectLibs	( "libforces.so" );
      outputControl		timeStep;
      outputInterval		1;
      patches			(bodyBoundary);
      pName			p;
      UName			U;
      log			true;
      rhoName			rhoInf;
      rhoInf			1;
      liftDir			(0 1 0);
      dragDir			(1 0 0);
      CofR			(0 0 0);
      pitchAxis		        (0 0 -1);
      magUInf			1;
      lRef			1;
      Aref			1;
    }
}

// ************************************************************************* //
