#!/usr/bin/env python

import os, sys

if len(sys.argv) < 2:
    print "\nUsage: python collect.py basedir filename\n"
    raise RuntimeError, 'Args missing'

workdir= os.path.dirname(__file__)
if workdir:
    workdir= workdir + os.sep
basedir= workdir + sys.argv[1]
filename = sys.argv[2]

output = open(workdir + filename.split('.')[0]+'.pos','w')
output.write('$MeshFormat\n2.2 0 8\n$EndMeshFormat\n')

# create a dictionary with the subdirectory names
listdir=[]
for subdir in os.listdir(basedir):
    if subdir.isdigit():
        listdir.append(int(subdir))

listdir.sort()

subdir= listdir[0]
input = open(basedir + os.sep + str(subdir) + os.sep + filename,'r')
all_lines=input.readlines()
input.close()

# Determine the number of nodes
NumNod=0
for line in all_lines:
    if line.lstrip(' ')[0] == '#':
        continue
    NumNod += 1
    
output.write('$Nodes\n%d\n' %(NumNod))
inum=0
for line in all_lines:
    if line.lstrip(' ')[0] == '#':
        continue
    inum += 1
    items = line.split()
    output.write('%d %s %s %s\n' %(inum, items[0], items[1], items[2] ))
output.write('$EndNodes\n')

# Guess the number of values per node
NumVal= len(items) - 3

# Create one node elements

output.write('$Elements\n%d\n' %(NumNod) )
for i in range(NumNod):
    output.write('%d 15 0 %d\n' %(i+1,i+1))
output.write('$EndElements\n')

for subdir in listdir:
    input = open(basedir + os.sep + str(subdir) + os.sep + filename,'r')
    all_lines=input.readlines()
    input.close()
    output.write('$NodeData\n1\n\t"%s"\n1\n\t%d\n3\n\t%d\n%d\n\t%d\n'
                 % (filename,subdir,subdir,NumVal,NumNod))
    inum=0
    for line in all_lines:
        if line.lstrip(' ')[0] == '#':
            continue
        inum += 1
        items = line.split()
        if len(items)==4:
            output.write('\t%d %s\n' %(inum,items[3]))
        elif len(items)==6:
            output.write('\t%d %s %s %s\n' %(inum,items[3],items[4],items[5]))
        else:
            print 'Neither a scalar or a vector field'
    output.write('$EndNodeData\n')

output.close()
exit(0)

